local M = {}

local function onScenarioLoaded()
	extensions.scenario_ecrw_raceExtras.initScenario()
	local obj = scenetree.findObject("secret1")
	if obj then
		spawn.spawnVehicle("ball", nil, obj:getPosition(), quat(0, 0, 0, 1), nil, nil, nil, "soccerBall", true)
	end
end

local function onCountdownStarted()
	local ball = scenetree.findObject("soccerBall")
	local pos = scenetree.findObject("secret1"):getPosition()
	local posZ = ball:getPosition().z
	ball:setPositionRotation(pos.x, pos.y, posZ, 0, 0, 0, 1)
end

M.onScenarioLoaded = onScenarioLoaded
M.onCountdownStarted = onCountdownStarted

return M